WL/BL

Get All Whitelist/Blacklist Wallets

get

Retrieves all whitelist/blacklist wallets.

Responses
chevron-right
200

OK

application/json
get
/wlbl

Drop All Whitelist/Blacklist Wallets

delete

Drops all whitelist/blacklist wallets.

Responses
chevron-right
200

OK

No content

delete
/wlbl

No content

Add Whitelist/Blacklist Wallets

post

Adds whitelist/blacklist wallets.

Body
Responses
chevron-right
200

OK

application/json
post
/wlbl

Get Whitelist/Blacklist Wallets by Group ID

get

Retrieves whitelist/blacklist wallets by group ID.

Path parameters
group_idstringRequired

Group ID

Responses
chevron-right
200

OK

application/json
get
/wlbl/{group_id}

Delete Whitelist/Blacklist Wallets by Group ID

delete

Deletes whitelist/blacklist wallets by group ID.

Path parameters
group_idstringRequired

Group ID

Responses
chevron-right
200

OK

No content

delete
/wlbl/{group_id}

No content

Delete Whitelist/Blacklist Wallet by ID

delete

Deletes a whitelist/blacklist wallet by group ID and wallet ID.

Path parameters
group_idstringRequired

Group ID

wallet_idstringRequired

Wallet ID

Responses
chevron-right
200

OK

No content

delete
/wlbl/{group_id}/{wallet_id}

No content

Last updated